package com.yunyan;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 启动程序
 *
 * @author yunyan
 */
@EnableAsync
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@MapperScan("com.yunyan.**.mapper")
public class YunYanAdminApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(YunYanAdminApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  预决算后台管理启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                " ____     ___               ____     ___                   \n" +
                " `MM(     )M'               `MM(     )M'                   \n" +
                "  `MM.    d'                 `MM.    d'                    \n" +
                "   `MM.  d' ___   ___ ___  __ `MM.  d'  ___   ___  __      \n" +
                "    `MM d'  `MM    MM `MM 6MMb `MM d' 6MMMMb  `MM 6MMb     \n" +
                "     `MM'    MM    MM  MMM9 `Mb `MM' 8M'  `Mb  MMM9 `Mb    \n" +
                "      MM     MM    MM  MM'   MM  MM      ,oMM  MM'   MM    \n" +
                "      MM     MM    MM  MM    MM  MM  ,6MM9'MM  MM    MM    \n" +
                "      MM     MM    MM  MM    MM  MM  MM'   MM  MM    MM    \n" +
                "      MM     YM.   MM  MM    MM  MM  MM.  ,MM  MM    MM    \n" +
                "     _MM_     YMMM9MM__MM_  _MM__MM_ `YMMM9'Yb_MM_  _MM_   ");
    }
}
