package com.yunyan.web;

import com.yunyan.business.service.IBudgetDataUpdateDataService;
import com.yunyan.business.service.IFinalDataService;
import com.yunyan.business.service.IFinalDataUpdateDataService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@Slf4j
@ExtendWith(SpringExtension.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
class BudgetDataTests {

    @Autowired
    private IFinalDataService finalDataService;

    @Autowired
    private IBudgetDataUpdateDataService iBudgetDataUpdateDataService;


    @Test
    void finalDataMoveReportExplain() {
        iBudgetDataUpdateDataService.budgetP10P1DeptAttrupdate("桂平", 2, "2024");
    }

    @Test
    void budgetP10P1DeptAttrupdateLast() {
        iBudgetDataUpdateDataService.budgetP10P1DeptAttrupdateLast("桂平", 2, "2024", "");
    }

    @Test
    void budgetP10P2TotalFundUpdateLast() {
        iBudgetDataUpdateDataService.budgetP10P2TotalFundUpdateLast("凭祥", 2, "2024", "24959");
    }


}
