package com.yunyan.business.document.templateEpStrategy;


import com.yunyan.business.constant.TemplateEpType;
import com.yunyan.business.document.WordGeneratorUtils;
import com.yunyan.business.service.IFinalDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@TemplateEpTypeAnnotation(templateEpType = TemplateEpType.Y2024BT5)
public class TplStrategyY2024BT5 implements TplStrategy {

    @Autowired
    private TplStrategyY2024BT1Service tplStrategyY2024BT1Service;

    @Override
    public void exportSave(IFinalDataService finalDataService, Long id) {
        tplStrategyY2024BT1Service.exportSave(finalDataService, id, WordGeneratorUtils.TEMPLATE_WORD_Y2024BT5);
    }


}
