package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("年度一般公共预算财政拨款支出决算情况 (第三部分的第二)  2023年")
@Data
public class FinalP3T2Vo {

    @ApiModelProperty("1.1年度一般公共预算财政拨款支出")
    private String expenditureTotal;

    @ApiModelProperty("1.2前一年度一般公共预算财政拨款支出")
    private String expenditureTotalLastYear;

    @ApiModelProperty("1.3与前一年度决算对比字符串")
    private String expenditureCompareStr;

    @ApiModelProperty("1.4基本支出-年度一般公共预算财政拨款支出")
    private String expenditureBase;

    @ApiModelProperty("1.5项目支出-年度一般公共预算财政拨款支出")
    private String expenditureProject;

    @ApiModelProperty("2.1年初预算-年度一般公共预算财政拨款支出")
    private String expenditureBudgetBegin;

    @ApiModelProperty("2.2支出决算-年度一般公共预算财政拨款支出")
    private String expenditureFinal;

    @ApiModelProperty("2.3完成率-年初预算-年度一般公共预算财政拨款支出")
    private String expenditureBudgetRatio;

    @ApiModelProperty("(输入)支出决算(必填)原因")
    private String expenditureReason;

    @ApiModelProperty("天等 直接显示 类款项,  数据从 list中取出  一般公共预算财政拨款支出决算情况的list列表")
    private List<FinalP3T2ItemVo> subItemList;

    @ApiModelProperty("3.0年度一般公共预算财政拨款支出决算情况的大类list列表")
    private List<FinalP3T2CategoryItemVo> list;

}
