package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("年度一般公共预算财政拨款基本支出决算情况说明 (第三部分的第三) 经济分类科目综述 2023年")
@Data
public class FinalP3T3Vo {

    @ApiModelProperty("1.1年度一般公共预算财政拨款基本支出")
    private String expenditureTotal;

    @ApiModelProperty("2.01年度一般公共预算财政拨款基本支出情况的list列表")
    private List<FinalP3T3ItemVo> list;

    @ApiModelProperty("1.人员经费-包含的项目名")
    private FinalP3T3IncludeItemVo personItem;

    @ApiModelProperty("2.公共经费-包含的项目名")
    private FinalP3T3IncludeItemVo publicItem;

}
