package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 2023年 word表的
 */
@ApiModel("年度国有资本经营支出的list列表 2023年 的list列表")
@Data
public class FinalP3T5CategoryItemVo {

    @ApiModelProperty("支出年初预算")
    private String beginValue;

    @ApiModelProperty("支出决算")
    private String finalValue;

    @ApiModelProperty("年初预算的比率")
    private String ratio;

    @ApiModelProperty("项的具体文字")
    private String info;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("年度国有资本经营支出决算情况的大类下的 list列表")
    private List<FinalP3T5ItemVo> list = new ArrayList<>();

}
