package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.business.document.y23.finalData.pojo.ChangeValueItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
//@ApiModel("3.6 一般公共预算财政拨款安排的“三公”经费支出决算情况说明 因公出国（境）费支出")
@Data
public class FinalP3T6ItemAbroadVo {

    @ApiModelProperty("因公出国（境）费支出")
    private String expenditure = "0";

    @ApiModelProperty("支出年初预算")
    private String beginValue = "0";

    @ApiModelProperty("预算的变化(金额,比率)-同比")
    private ChangeValueItemVo changeItemVo;

    @ApiModelProperty("1.2(手动输入)预算变化的主要原因")
    private String budgetReason;

    @ApiModelProperty("年初预算的完成比率")
    private String ratio;

    @ApiModelProperty("上年的因公出国（境）费支出")
    private String expenditureLastYear = "0";

    @ApiModelProperty("比上年的字符串  增减（减少）xxx (2023年 包含万元)")
    private String compareStr;

    @ApiModelProperty("(2023年比上年的字符串)  增长（下降）xxx %")
    private String compareStrRatio;

    @ApiModelProperty("(手动输入)原因")
    private String reason;

    @ApiModelProperty("(显示)财政拨款安排 xx(数量)机关、 (天等) 国（境）外公务接待批次有数就是1, 没有数就为0")
    private String outDeptNum = "";

    @ApiModelProperty("(手动输入)局（镇）机关(天等那里是数量)")
    private String deptNameStr = "";

    @ApiModelProperty("(手动输入)局（镇）机关的所属单位(数量)")
    private String deptBelongNum = "0";

    @ApiModelProperty("(手动输入)局（镇）机关的所属单位的团组(数量)")
    private String deptBelonGroupgNum = "0";

    @ApiModelProperty("(手动输入)参加其他单位的团组(数量)")
    private String deptOtherNum = "0";

    @ApiModelProperty("全年因公出国（境）团组总共(数量)")
    private String deptGroupNum = "0";

    @ApiModelProperty("全年因公出国（境）人次(数量)")
    private String personNum = "0";

    /*@ApiModelProperty("支出决算")
    private String finalValue;*/

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("开支内容")
    private String expenditureContent;



}
