package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.business.document.y23.finalData.pojo.ChangeValueItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
//@ApiModel("3.6 一般公共预算财政拨款安排的“三公”经费支出决算情况说明 公务用车购置及运行费支出")
@Data
public class FinalP3T6ItemCarVo {

    @ApiModelProperty("公务用车购置及运行费-小计")
    private String carSubtotal = "0";

    @ApiModelProperty("公务用车购置及运行费-上年")
    private String carSubtotalLastYear = "0";

    @ApiModelProperty("公务用车购置及运行费-比上年的字符串  增加（减少）0万元 ")
    private String carCompareStr;

    @ApiModelProperty("公务用车购置及运行费-比上年的字符串 增长（下降）0% ")
    private String carCompareStrRatio;

    @ApiModelProperty("(输入)公务用车购置及运行费-比上年-原因")
    private String carReason;

    @ApiModelProperty("1.2.1年初预算-“三公”经费支出")
    private String expenditureBegin = "0.00";

    @ApiModelProperty("公务用车购置及运行费-年初预算的比率")
    private String carSubtotalRatio;

    @ApiModelProperty("预算的变化(金额,比率)-同比")
    private ChangeValueItemVo changeItemVo;

    @ApiModelProperty("1.2(手动输入)预算变化的主要原因")
    private String budgetReason;

    @ApiModelProperty("公务用车购置及运行费-公务用车购置费支出")
    private String carBuyExpenditure = "0";

    @ApiModelProperty("公务用车购置费支出-支出年初预算")
    private String carBuyBeginValue = "0";

    @ApiModelProperty("公务用车购置费支出-年初预算的比率")
    private String carBuyRatio;

    @ApiModelProperty("上一年的公务用车购置及运行费-公务用车购置费支出")
    private String carBuyExpenditureLastYear = "0";

    @ApiModelProperty("公务用车购置费支出-比上年的字符串  增减（减少）xxx 万元")
    private String carBuyCompareStr;

    @ApiModelProperty("公务用车购置费支出-比上年的字符串  增长（下降）xxx % ")
    private String carBuyCompareStrRatio;

    @ApiModelProperty("(输入)公务用车购置费支出-原因")
    private String carBuyReason;

    @ApiModelProperty("(输入)公务用车购置数量-公务用车购置费支出")
    private String carBuyNum = "0";

    @ApiModelProperty("(输入)公务用车主要用于-公务用车购置费支出")
    private String carBuyFor = "";

    @ApiModelProperty("公务用车购置及运行费-公务用车运行费支出")
    private String carOperateExpenditure = "0";

    @ApiModelProperty("公务用车运行费支出-支出年初预算")
    private String carOperateBeginValue = "0";

    @ApiModelProperty("公务用车运行费支出-年初预算的比率")
    private String carOperateRatio = "0";

    @ApiModelProperty("上年的公务用车购置及运行费-公务用车运行费支出")
    private String carOperateExpenditureLastYear = "0";

    @ApiModelProperty("公务用车运行费支出-比上年的字符串  增减（减少）xxx (2023 万元)")
    private String carOperateCompareStr;

    @ApiModelProperty("公务用车运行费支出-比上年的字符串  增长（下降）xxx % ")
    private String carOperateCompareStrRatio;

    @ApiModelProperty("(输入)公务用车运行费支出-原因")
    private String carOperateReason;

    @ApiModelProperty("(输入)公务用车运行费支出主要用于-公务用车运行费支出")
    private String carOperateFor;

    @Deprecated
    @ApiModelProperty("(输入)公务用车运行费支出-局（镇） 所属单位")
    private String deptNameStr = "0";

    @ApiModelProperty("公务用车保有量-公务用车运行费支出")
    private String carNum;

    @ApiModelProperty("全年运行费支出-公务用车运行费支出")
    private String carOperateYear = "0";

    @ApiModelProperty("平均每辆运行费用-公务用车运行费支出")
    private String carOperateEach = "0";

    /*@ApiModelProperty("支出决算")
    private String finalValue;*/

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("(手动输入)局（镇）机关的所属单位(数量)")
    private String deptBelongNum = "0";


}
