package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.business.document.y23.budget.pojo.budgetY23.BudgetP3ChangeItemVo;
import com.yunyan.business.document.y23.finalData.pojo.ChangeValueItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

//@ApiModel("3.6般公共预算财政拨款安排的“三公”经费支出决算情况说明 2023年")
@Data
public class FinalP3T6Vo {

    @ApiModelProperty("1.“三公”经费支出")
    private String expenditureTotal = "0.00";

    @ApiModelProperty("1.2.1年初预算-“三公”经费支出")
    private String expenditureBegin = "0.00";

    @ApiModelProperty("预算的变化(金额,比率)-同比")
    private ChangeValueItemVo changeItemVo;

    @ApiModelProperty("1.2(手动输入)预算变化的主要原因")
    private String budgetReason;

    @ApiModelProperty("1.2完成率-年初预算-“三公”经费支出")
    private String expenditureBudgetRatio;

    @ApiModelProperty("1.3.0前一年度 “三公”经费支出")
    private String expenditureTotalLastYear = "0.00";

    @ApiModelProperty("1.3与前一年度 “三公”经费支出 对比字符串")
    private String expenditureCompareStr;

    @ApiModelProperty("与前一年度 “三公”经费支出-同比")
    private ChangeValueItemVo expenditureChangeItemVo;

    @ApiModelProperty("原因2 与前一年度 “三公”经费支出-同比")
    private String expenditureChangeReason;

    @ApiModelProperty("1.4(手动输入)主要原因 (原因1, 第一段的)")
    private String reason;

    @ApiModelProperty("1.5因公出国（境）费")
    private String abroad = "0.00";

    @ApiModelProperty("1.6公务用车购置及运行费-小计")
    private String carSubtotal = "0.00";

    @ApiModelProperty("1.7公务接待费")
    private String reception = "0.00";

    @ApiModelProperty("1.8因公出国（境）费支出具体")
    private FinalP3T6ItemAbroadVo abroadVo;

    @ApiModelProperty("1.9公务用车购置及运行费支出具体")
    private FinalP3T6ItemCarVo carVo;

    @ApiModelProperty("1.10公务接待费支出具体")
    private FinalP3T6ItemReceptiondVo receptiondVo;

}

