package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  2023 凭祥 p2 部门决算中项目绩效自评结果 XX项目自评得分为XX分，XX等，项目全年预算数为  万元，执行数为  万元，完成预算的  %。项目绩效目标完成情况：一是……；二是……。自评发现的主要问题及原因：一是……；二是……。下一步改进措施：一是……；二是……。
 */
@Data
public class FinalP3T8p2ProjectItemVo {

    @ApiModelProperty("项目序列")
    private String no;

    @ApiModelProperty("项目名")
    private String projectName;

    @ApiModelProperty("得分")
    private String score;

    @ApiModelProperty("得分的说明等")
    private String scoreInfo;

    @ApiModelProperty("全年预算资金-总额")
    private String total;

    @ApiModelProperty("执行数-总额")
    private String totalExecute;

    @ApiModelProperty("完成预算比率")
    private String budgetRatio;

    @ApiModelProperty("项目绩效目标完成情况1")
    private String goal1;

    @ApiModelProperty("项目绩效目标完成情况2")
    private String goal2;

    @ApiModelProperty("自评发现的主要问题及原因1")
    private String reason1;

    @ApiModelProperty("自评发现的主要问题及原因2")
    private String reason2;

    @ApiModelProperty("下一步改进措施1")
    private String improvement1;

    @ApiModelProperty("下一步改进措施2")
    private String improvement2;

}
