package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Z01_1 财政拨款收入支出决算总表(财决01-1表) (第二部分的表四)2023年 的 list的 item
 */
@Data
public class FinalZ01S1ItemVo {

    @ApiModelProperty("收入-项目名")
    private String incomeName;

    @ApiModelProperty("收入-行次")
    private String incomeRowNo;

    @ApiModelProperty("收入-决算数")
    private String incomeValue;

    @ApiModelProperty("支出-项目名(项目（按功能分类）)")
    private String expenditureName;

    @ApiModelProperty("支出-行次")
    private String expenditureRowNo;

    @ApiModelProperty("支出-决算数-小计")
    private String expenditureSubtotal;

    @ApiModelProperty("支出-决算数-一般公共预算财政拨款")
    private String expenditurePublic;

    @ApiModelProperty("支出-决算数-政府性基金预算财政拨款")
    private String expenditureGovernment;

    @ApiModelProperty("支出-决算数-国有资本经营预算财政拨款")
    private String expenditureState;

}
