package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("Z03 收入决算表(财决03表) (第二部分的表二)2023年 ")
@Data
public class FinalZ03Vo {

    @ApiModelProperty("科目的list列表")
    private List<FinalZ03ItemVo> list;

    @ApiModelProperty("本年收入合计")
    private String total;

    @ApiModelProperty("财政拨款收入")
    private String allocation;

    @ApiModelProperty("上级补助收入")
    private String subsidy;

    @ApiModelProperty("事业收入")
    private String profession;

    @ApiModelProperty("经营收入")
    private String operation;

    @ApiModelProperty("附属单位上缴收入")
    private String subsidiary;

    @ApiModelProperty("其他收入")
    private String other;

}
