package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Z07 一般公共预算财政拨款收入支出决算表(财决07表) (第二部分的表五) 2023年 的 list的 item
 */
@Data
public class FinalZ07ItemVo {

    @ApiModelProperty("分类科目代码")
    private String code;

    @ApiModelProperty("科目名称")
    private String name;

    @ApiModelProperty("本年支出-合计")
    private String expenditureYearSubtotal;

    @ApiModelProperty("本年支出-基本支出-小计")
    private String expenditureBaseSubtotal;

    @ApiModelProperty("本年支出-基本支出-人员")
    private String expenditureBasePerson;

    @ApiModelProperty("本年支出-基本支出-公用经费")
    private String expenditureBasePublic;

    @ApiModelProperty("本年支出-项目支出")
    private String expenditureProject;

}
