package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("Z07 一般公共预算财政拨款收入支出决算表(财决07表) (第二部分的表五) 2023年")
@Data
public class FinalZ07Vo {

    @ApiModelProperty("项目的list列表")
    private List<FinalZ07ItemVo> list;

    @ApiModelProperty("本年支出-合计")
    private String expenditureYearSubtotal;

    @ApiModelProperty("本年支出-基本支出-小计")
    private String expenditureBaseSubtotal;

    @ApiModelProperty("本年支出-基本支出-人员")
    private String expenditureBasePerson;

    @ApiModelProperty("本年支出-基本支出-公用经费")
    private String expenditureBasePublic;

    @ApiModelProperty("本年支出-项目支出")
    private String expenditureProject;

}
