package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Z09 政府性基金预算财政拨款收入支出决算表(财决09表) (第二部分的表八) 2023年 的 list的 item
 */
@Data
public class FinalZ09ItemVo {

    @ApiModelProperty("分类科目代码")
    private String code;

    @ApiModelProperty("科目名称")
    private String name;

    @ApiModelProperty("年初结转和结余")
    private String yearBeginTotal;

    @ApiModelProperty("本年收入")
    private String incomeYear;

    @ApiModelProperty("本年支出-小计")
    private String expenditureYearSubtotal;

    @ApiModelProperty("本年支出-基本支出")
    private String expenditureBaseSubtotal;

    @ApiModelProperty("本年支出-项目支出")
    private String expenditureProject;

    @ApiModelProperty("年末结转和结余")
    private String yearEndTotal;

}
