package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  六、一般公共预算基本支出情况说明 资金性质
 */
@Data
public class BudgetP3p10p3Vo {

    @ApiModelProperty("在编车辆-总计")
    private String num;

    @ApiModelProperty("一般公务用车-数量")
    private String business;

    @ApiModelProperty("执法执勤用车-数量")
    private String duty;

    @ApiModelProperty("其他业务用车-数量")
    private String other;

    @ApiModelProperty("车辆具体占用情况: XXX单位XX辆，包括XX辆一般公务用车，XX辆执法执勤用车，XX辆其他业务用车;   (单位不用在这里保存)")
    private List<BudgetP3p10p3ItemVo> carList;

    @ApiModelProperty("桂平类型3的显示")
    private BudgetP3p10p3T3Vo t3Vo;

}
