package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 三、部门支出总体预算情况说明的项
 */
@Data
public class BudgetP3p3ItemVo {

    @ApiModelProperty("项名")
    private String name;

    @ApiModelProperty("科目编码")
    private String code;

    @ApiModelProperty("总金额")
    private String total;

    @ApiModelProperty("去年-总金额")
    private String totalLast;

    @ApiModelProperty("占总金额的比率")
    private String ratio;

    @ApiModelProperty("收入预算的变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("收入预算的变化文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("收入预算的变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("收入预算的变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("行序")
    private String rowNo;

    @ApiModelProperty("增减原因")
    private String reason;

}
