package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 部门收支预算总体预算情况说明
 */
@Data
public class BudgetP3p3Vo {

    @ApiModelProperty("支出总预算")
    private String total;

    @ApiModelProperty("支出总预算-去年")
    private String totalLast;

    @ApiModelProperty("收入预算的变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("收入预算的变化文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("收入预算的变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("收入预算的变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("基本支出预算")
    private String base;

    @ApiModelProperty("基本支出预算-去年")
    private String baseLast;

    @ApiModelProperty("占比-基本支出预算-占支出总预算")
    private String ratioBase;

    @ApiModelProperty("基本-收入预算的变化金额-同比")
    private String changeAmountBase;

    @ApiModelProperty("基本-收入预算的变化文字-同比")
    private String changeAmountWordBase;

    @ApiModelProperty("基本-收入预算的变化比率-同比")
    private String changeRatioBase;

    @ApiModelProperty("基本-收入预算的变化比率文字-同比")
    private String changeRatioWordBase;

    @ApiModelProperty("项目支出预算")
    private String project;

    @ApiModelProperty("项目支出预算-去年")
    private String projectLast;

    @ApiModelProperty("占比--项目支出预算-占支出总预算")
    private String ratioProject;

    @ApiModelProperty("项目-收入预算的变化金额-同比")
    private String changeAmountProject;

    @ApiModelProperty("项目-收入预算的变化文字-同比")
    private String changeAmountWordProject;

    @ApiModelProperty("项目-收入预算的变化比率-同比")
    private String changeRatioProject;

    @ApiModelProperty("项目-收入预算的变化比率文字-同比")
    private String changeRatioWordProject;

    @ApiModelProperty("增减原因")
    private String reason;

    @ApiModelProperty("部门列表")
    private List<BudgetP3p3DeptVo> deptList;

    @ApiModelProperty("项-支出功能分类")
    private List<BudgetP3p3ItemVo> funcList;

    @ApiModelProperty("项-基本支出-结构分类")
    private List<BudgetP3p3ItemVo> baseList;

    @ApiModelProperty("项-项目支出-结构分类")
    private List<BudgetP3p3ItemVo> projectList;

}
