package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * p2p6 五、一般公共预算支出情况说明 项
 */
@Data
public class BudgetP3p5ItemVo {

    @ApiModelProperty("显示用的功能分类科目名称")
    private String nameShow;

    @ApiModelProperty("大类-科目名称")
    private String name1;

    @ApiModelProperty("大类-科目编码")
    private String code1;

    @ApiModelProperty("款-科目名称")
    private String name2;

    @ApiModelProperty("款-科目编码")
    private String code2;

    @ApiModelProperty("项-功能分类科目名称")
    private String name3;

    //政府性 编码
    @ApiModelProperty("项-科目编码")
    private String code3;

    @ApiModelProperty("总计-项")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("增减原因")
    private String reason;

    @ApiModelProperty("行序")
    private String rowNo;

    @ApiModelProperty("(输入)主要用于(用途)")
    private String usage;

    @ApiModelProperty("总计-基本支出")
    private String base;

    @ApiModelProperty("总计-项目支出")
    private String project;

    @ApiModelProperty("预算类型4的显示情况: 1-全部是基本支出预算;2-全部是项目支出预算;3-合计数等于基本支出+项目支出")
    private Integer tp4ShowType;

    @ApiModelProperty("(输入)基本支出-主要用于(用途)")
    private String usageBase;

    @ApiModelProperty("(输入)项目支出-主要用于(用途)")
    private String usageProject;

}
