package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * p2p6 六、一般公共预算基本支出情况说明 项
 */
@Data
public class BudgetP3p6ItemVo {

    @ApiModelProperty("显示用的功能分类科目名称")
    private String nameShow;

    @ApiModelProperty("大类科目名称")
    private String name1;

    @ApiModelProperty("大类科目编码")
    private String code1;

    @ApiModelProperty("款-功能分类科目名称")
    private String name2;

    @ApiModelProperty("款-科目编码")
    private String code2;

    @ApiModelProperty("总计-项")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("增减原因")
    private String reason;

    @ApiModelProperty("行序")
    private String rowNo;

}
