package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 人员经费/公用经费  六、一般公共预算基本支出情况说明
 */
@Data
public class BudgetP3p6SubItemVo {

    @ApiModelProperty("总金额")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("项的list(人员经费/公用经费)")
    private List<BudgetP3p6ItemVo> list;

    @ApiModelProperty("项的list(人员经费/公用经费) 大类的")
    private List<BudgetP3p6ItemVo> list1;

}
