package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  六、一般公共预算基本支出情况说明 资金性质
 */
@Data
public class BudgetP3p7PartVo {

    @ApiModelProperty("合计")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("(输入)增减原因")
    private String reason;



    @ApiModelProperty("因公出国（境）经费支出")
    private BudgetP3p7PartItemVo abroadVo;

    @ApiModelProperty("公务接待费支出")
    private BudgetP3p7PartItemVo receptionVo;

    @ApiModelProperty("公务用车购置及运行费支出")
    private BudgetP3p7PartItemVo carVo;

    @ApiModelProperty("公务用车运行维护费支出")
    private BudgetP3p7PartItemVo carOperateVo;

    @ApiModelProperty("公务用车购置费支出")
    private BudgetP3p7PartItemVo carBuyVo;

}
