package com.yunyan.business.document.y23.budget.pojo.budgetY23.table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 收入总体情况表
 */
@Data
public class BudgetP2p2ItemVo {

    @ApiModelProperty("部门（单位）名称")
    private String deptName;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("总金额")
    private String total1;

    @ApiModelProperty("本年收入-总金额")
    private String totalYear2;

    @ApiModelProperty("本年收入-一般公共预算")
    private String publicYear3;

    @ApiModelProperty("本年收入-政府性预算")
    private String govYear4;

    @ApiModelProperty("本年收入-国有资本经营预算")
    private String totalYear5;

    @ApiModelProperty("本年收入-财政专户管理资金收入")
    private String manageYear6;

    @ApiModelProperty("本年收入-单位自己")
    private String deptYear7;

    @ApiModelProperty("上年结转结余-总金额")
    private String totalRest8;

    @ApiModelProperty("上年结转结余-一般公共预算")
    private String publicRest9;

    @ApiModelProperty("上年结转结余-政府性预算")
    private String govRest10;

    @ApiModelProperty("上年结转结余-国有资本经营预算")
    private String totalRest11;

    @ApiModelProperty("上年结转结余-财政专户管理资金收入")
    private String manageRest12;

    @ApiModelProperty("上年结转结余-单位自己")
    private String deptRest13;

}
