package com.yunyan.business.document.y23.budget.pojo.budgetY23.update;

import com.yunyan.business.document.y23.budget.pojo.budgetY23.BudgetP3p7PartItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  六、一般公共预算基本支出情况说明 资金性质
 */
@Data
public class UpdateBudgetP3p7PartVo {

    @ApiModelProperty("(输入)增减原因")
    private String reason;

    @ApiModelProperty("因公出国（境）经费支出")
    private UpdateBudgetP3p7PartItemVo abroadVo;

    @ApiModelProperty("公务接待费支出")
    private UpdateBudgetP3p7PartItemVo receptionVo;

    @ApiModelProperty("公务用车购置及运行费支出")
    private UpdateBudgetP3p7PartItemVo carVo;

    @ApiModelProperty("公务用车运行维护费支出")
    private UpdateBudgetP3p7PartItemVo carOperateVo;

    @ApiModelProperty("公务用车购置费支出")
    private UpdateBudgetP3p7PartItemVo carBuyVo;

}
