package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.CourseCode;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 科目编码管理Mapper接口
 * 
 * @author yunyan
 * @date 2023-07-31
 */
public interface CourseCodeMapper extends BaseMapper<CourseCode>
{

    /**
     * 查询科目编码管理列表
     * 
     * @param courseCode 科目编码管理
     * @return 科目编码管理集合
     */
    public List<CourseCode> selectCourseCodeList(CourseCode courseCode);


}
