package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.FillDate;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报告期限设置Mapper接口
 * 
 * @author yunyan
 * @date 2023-07-27
 */
public interface FillDateMapper extends BaseMapper<FillDate>
{

    /**
     * 查询报告期限设置列表
     * 
     * @param fillDate 报告期限设置
     * @return 报告期限设置集合
     */
    public List<FillDate> selectFillDateList(FillDate fillDate);


}
