package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.FillTemplate;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 模板管理Mapper接口
 * 
 * @author yunyan
 * @date 2023-07-27
 */
public interface FillTemplateMapper extends BaseMapper<FillTemplate>
{

    /**
     * 查询模板管理列表
     * 
     * @param fillTemplate 模板管理
     * @return 模板管理集合
     */
    public List<FillTemplate> selectFillTemplateList(FillTemplate fillTemplate);


}
