package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.ReportDept;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报告-部门概况数据Mapper接口
 * 
 * @author yunyan
 * @date 2023-12-07
 */
public interface ReportDeptMapper extends BaseMapper<ReportDept>
{

    /**
     * 查询报告-部门概况数据列表
     * 
     * @param reportDept 报告-部门概况数据
     * @return 报告-部门概况数据集合
     */
    public List<ReportDept> selectReportDeptList(ReportDept reportDept);


}
