package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.ReportFile;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报告-文件相关(附件)Mapper接口
 * 
 * @author yunyan
 * @date 2023-12-21
 */
public interface ReportFileMapper extends BaseMapper<ReportFile>
{

    /**
     * 查询报告-文件相关(附件)列表
     * 
     * @param reportFile 报告-文件相关(附件)
     * @return 报告-文件相关(附件)集合
     */
    public List<ReportFile> selectReportFileList(ReportFile reportFile);


}
