package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.ReportTerm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报告-名词解释数据Mapper接口
 * 
 * @author yunyan
 * @date 2023-12-07
 */
public interface ReportTermMapper extends BaseMapper<ReportTerm>
{

    /**
     * 查询报告-名词解释数据列表
     * 
     * @param reportTerm 报告-名词解释数据
     * @return 报告-名词解释数据集合
     */
    public List<ReportTerm> selectReportTermList(ReportTerm reportTerm);


}
