package com.yunyan.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunyan.business.pojo.admin.dto.StatisticsDto;
import com.yunyan.business.pojo.admin.vo.StatisticsVo;

import java.util.List;

/**
 * 数据统计Mapper接口
 * @author yunyan
 * @date 2023-08-16
 */
public interface StatisticsMapper extends BaseMapper<StatisticsVo> {
    /**
     * 查询数据统计接口
     * @param statisticsDto 查询条件入参
     * @return 返回数据统计集合
     */
    List<StatisticsVo> statisticsPage(StatisticsDto statisticsDto);
}
