package com.yunyan.business.pojo.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class InfositeFillDto {
    /** ID主键 */
    @JsonSerialize(using= ToStringSerializer.class)
    @NotNull(message="主键必传")
    private Long id;

    @NotBlank(message="信息平台网址必传")
    @ApiModelProperty(value = "信息平台网址(百色使用)")
    private String infoSite;

}
