package com.yunyan.business.pojo.admin.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yunyan.common.core.domain.BaseEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 部门表 sys_dept
 * 
 * @author yunyan
 */
@Data
public class SysDeptEditDto
{
    private static final long serialVersionUID = 1L;

    /** 部门ID */
    private Long deptId;

    /** 主要职责介绍 */
    @ApiModelProperty(value = "主要职责介绍")
    private String duty;

    /** 部门机构设置介绍 */
    @ApiModelProperty(value = "部门机构设置介绍")
    private String settings;

    /** 部门预算构成介绍 */
    @ApiModelProperty(value = "部门预算构成介绍")
    private String budgetInfo;

    @ApiModelProperty(value = "部门机构设置介绍-json的字段保存")
    private String settingsJson;

}
