package com.yunyan.business.pojo.admin.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 生成 PDF 的返回
 */
@Data
public class FinalDataDownloadFileItemVo {

    @ApiModelProperty(value = "文件url")
    private String url;

    /** 部门名称 */
    @ApiModelProperty(value = "文件名称")
    private String name;

    @ApiModelProperty(value = "文件类型, 如: pdf, xlsx, docx")
    private String fileExtension;

    @ApiModelProperty(value = "文件的标记种类: 1-报告doc文档, 4-上传附件, 6-第6部分的三公")
    private Integer type;

    /*@ApiModelProperty(value = "文件的标记种类的唯一性查询")
    private String uuidKey;*/

}
