package com.yunyan.business.pojo.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 文件 的返回
 */
@Data
public class FinalDataDownloadFileVo {

    @ApiModelProperty(value = "部门名")
    private String deptName;

    @ApiModelProperty(value = "部门编码")
    private String deptCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "最近生成PDF的时间")
    private Date generateTime;

    /** 部门名称 */
    @ApiModelProperty(value = "文件的信息")
    private List<FinalDataDownloadFileItemVo> list;

}
