package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.FillTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 模板管理Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface IFillTemplateService extends IService<FillTemplate>
{

    /**
     * 查询模板管理列表
     *
     * @param fillTemplate 模板管理
     * @return 模板管理集合
     */
    public List<FillTemplate> selectFillTemplateList(FillTemplate fillTemplate);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(FillTemplate dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(FillTemplate dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

}
