package com.yunyan.business.utils.baiduNlp.pojo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BaiduEcnetItemVo {

    /**
     * 模型置信度打分。备注：若score返回为数字7，表示输入不合法，比如输入过长或过短。该情况没有纠错结果。
     */
    @ApiModelProperty("模型置信度打分。备注：若score返回为数字7，表示输入不合法，比如输入过长或过短。该情况没有纠错结果。")
    private double score;

    /**
     * 纠错后的文本
     */
    @ApiModelProperty("纠错后的文本")
    private String correct_query;

    /**
     * 	替换候选片段信息
     */
    @ApiModelProperty("替换候选片段信息")
    private List<VecFragmentVo> vec_fragment;

}
