package com.yunyan.common.core.domain.entity;

import com.yunyan.common.annotation.Excel;

import com.yunyan.common.core.domain.BaseEntity;
import com.yunyan.common.core.domain.BaseEntityVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.FieldFill;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * 用户与部门关联对象 sys_user_dept
 * 
 * @author yunyan
 * @date 2023-06-06
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName(value = "sys_user_dept")
public class UserDept implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    @TableId(value = "user_id", type = IdType.INPUT)
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 部门ID */
//    @TableId(value = "dept_id")
    @ApiModelProperty(value = "部门ID")
    private Long deptId;



}
