package com.yunyan.system.mapper;

import java.util.List;
import com.yunyan.system.domain.DeptManage;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 管理部门与被管理部门的Mapper接口
 * 
 * @author yunyan
 * @date 2024-10-12
 */
public interface DeptManageMapper extends BaseMapper<DeptManage>
{

    /**
     * 查询管理部门与被管理部门的列表
     * 
     * @param deptManage 管理部门与被管理部门的
     * @return 管理部门与被管理部门的集合
     */
    public List<DeptManage> selectDeptManageList(DeptManage deptManage);


}
