package com.yunyan.business.constant;

/**
 * 业务缓存的key 常量
 *
 * @author yunyan
 */
public class BusinessCacheConstants
{
    /**
     * erp登录用户passkey redis key
     */
    public static final String LOGIN_PASSKEY = "erp:passkey";

    /**
     * 生成 文档的 cache key 是否在 生成
     */
    public static final String GENERATE_DOCUMENT_FINAL_FLAG = "generate:document:flag:";

    /**
     * 检测 公开网址的是否正在检测
     */
    public static final String WEBSITE_FILL_STATUS_CHECK = "WEBSITE:FILL:STATUS:CHECK";

}
