package com.yunyan.business.document.templateEpStrategy;


import com.yunyan.business.constant.TemplateEpType;
import com.yunyan.business.document.common.constant.TemplateFilePathConstants;
import com.yunyan.business.service.IFinalDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@TemplateEpTypeAnnotation(templateEpType = TemplateEpType.Y2023FT4BB)
public class TplStrategyY2023FT4BB implements TplStrategy {

    @Autowired
    private TplStrategyY2023FTService tplStrategyY2023FTService;



    @Override
    public void exportSave(IFinalDataService finalDataService, Long id) {
        tplStrategyY2023FTService.exportSave(finalDataService, id, TemplateFilePathConstants.TEMPLATE_WORD_Y2023FT4BB);
    }
}
