package com.yunyan.business.document.templateEpStrategy;


import cn.hutool.json.JSONUtil;
import com.yunyan.business.constant.TemplateEpType;
import com.yunyan.business.document.Word2PdfUtils;
import com.yunyan.business.document.WordGeneratorUtils;
import com.yunyan.business.document.utils.FileDataUtil;
import com.yunyan.business.document.y22.pojo.finalExcelY22.FinalP1Vo;
import com.yunyan.business.document.y22.pojo.finalExcelY22.FinalP4T1TermVo;
import com.yunyan.business.document.y23.budget.pojo.budgetY23.BudgetDataVo;
import com.yunyan.business.domain.FinalData;
import com.yunyan.business.domain.ReportExplain;
import com.yunyan.business.domain.ReportFile;
import com.yunyan.business.pojo.admin.vo.FinalDataDownloadFileItemVo;
import com.yunyan.business.pojo.admin.vo.FinalDataDownloadFileVo;
import com.yunyan.business.service.*;
import com.yunyan.common.config.YunYanConfig;
import com.yunyan.common.core.domain.entity.SysDept;
import com.yunyan.common.exception.ServiceException;
import com.yunyan.common.utils.StringUtils;
import com.yunyan.common.utils.file.FileUploadUtils;
import com.yunyan.system.service.ISysDeptService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
@TemplateEpTypeAnnotation(templateEpType = TemplateEpType.Y2024BT1)
public class TplStrategyY2024BT1 implements TplStrategy {

    @Autowired
    private TplStrategyY2024BT1Service tplStrategyY2024BT1Service;

    @Override
    public void exportSave(IFinalDataService finalDataService, Long id) {
        tplStrategyY2024BT1Service.exportSave(finalDataService, id, WordGeneratorUtils.TEMPLATE_WORD_Y2024BT1);
    }


}
