package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 2023年 财政拨款收入支出的情况
 */
//@ApiModel("年度收入/支出决算的总体情况")
@Data
public class FinalP3AllocationVo {

    @ApiModelProperty("(支出的)年初预算总数(桂平p8部分第一段使用)")
    private String yearBudgetTotal;

    @ApiModelProperty("(支出的)决算总数(桂平p8部分第一段使用)")
    private String yearFinalTotal;

    @ApiModelProperty("(支出的)二、项目支出的决算数(桂平p8部分第二段使用)")
    private String projectTotal;

}
