package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
@ApiModel("年度收入支出决算总体情况的具体")
@Data
public class FinalP3T1TotalItemVo {

    @ApiModelProperty("本年的数值")
    private String valueYear;

    @ApiModelProperty("上一年度的数值")
    private String valueLastYear;

    @ApiModelProperty("对比上一年度的文字：  较2020年度决算数2,488.67万元，减少948.36万元，下降38.11%。")
    private String compareLastYear;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("(输入)原因")
    private String reason;

    @ApiModelProperty("是否显示填写原因: 1-是, 0-否")
    private Integer reasonFlag = 0;

    @ApiModelProperty("项的具体文字, 导入第一次时进行排序")
    private String info;

    @ApiModelProperty("(其他收入时-输入)(p3p1.1的-资金来源/p3p1.1的-主要用途")
    private String infoDesc;

    @ApiModelProperty("是否显示: 1-显示, 0-不显示; (收入时-当其他收入不为0时,显示; p3p1 第二小部分 支出时, 不为0显示)  (p3p1.1的-资金来源/p3p1.1的-主要用途")
    private Integer infoDescFlag = 0;

}
