package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 2023年 word表的
 */
@ApiModel("年度一般公共预算财政拨款支出决算情况的大类 list列表")
@Data
public class FinalP3T2CategoryItemVo {

    @ApiModelProperty("支出年初预算")
    private String beginValue;

    @ApiModelProperty("支出决算")
    private String finalValue;

    @ApiModelProperty("项的具体文字, 排序另外")
    private String info;

    @ApiModelProperty("项的说明")
    private String name;

    @Deprecated
    @ApiModelProperty("项的编码")
    private String code;

    @ApiModelProperty("项的序号, 导入第一次时进行排序")
    private String rowNo;

    @ApiModelProperty("项的序号(中文的 一, 二, 三, 四)")
    private String rowNoChinese;

    @ApiModelProperty("3.0年度一般公共预算财政拨款支出决算情况的大类下的 list列表")
    private List<FinalP3T2ItemVo> list;

    @ApiModelProperty("(输入)当有预算数大于0,决算数=0时, (必填)原因")
    private String budgetReason;

}
