package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
@ApiModel("年度政府性基金支出的list列表 2023年 的list列表")
@Data
public class FinalP3T4ItemVo {

    @ApiModelProperty("支出年初预算")
    private String beginValue = "0.00";

    @ApiModelProperty("支出决算")
    private String finalValue;

    @ApiModelProperty("年初预算的比率")
    private String ratio;

    @ApiModelProperty("项的具体文字")
    private String info;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("项的编码")
    private String code;

    @ApiModelProperty("(输入)主要用于(用途)")
    private String usage;

    @ApiModelProperty("决算数大于(小于或者等于)预算数比较")
    private String compareValueStr = "等于";

    @ApiModelProperty("(输入)决算数大于(小于)预算数时(必填)原因")
    private String reason;

    @ApiModelProperty("是否显示, 1-是, 0-否 (输入)决算数大于(小于)预算数时(必填)原因(等于不用输入原因)")
    private Integer reasonFlag = 0;

    //有数据才显示项, 这里不用判断
    @ApiModelProperty("是否显示 用途, 1-是, 0-否, 默认0, 当决算数大于0时显示")
    private Integer usageFlag = 0;

}
