package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.business.document.y23.finalData.pojo.ChangeValueItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
//@ApiModel("3.6公务接待费支出 一般公共预算财政拨款安排的“三公”经费支出决算情况说明 ")
@Data
public class FinalP3T6ItemReceptiondVo {

    @ApiModelProperty("公务接待费支出")
    private String expenditure = "0.00";

    @ApiModelProperty("支出年初预算")
    private String beginValue = "0.00";

    @ApiModelProperty("预算的变化(金额,比率)-同比")
    private ChangeValueItemVo changeItemVo;

    @ApiModelProperty("1.2(手动输入)预算变化的主要原因")
    private String budgetReason;

    @ApiModelProperty("年初预算的比率")
    private String ratio;

    @ApiModelProperty("上年的公务接待费支出")
    private String expenditureLastYear = "0.00";

    @ApiModelProperty("比上年的字符串  增减（减少）xxx (2023年 包含万元)")
    private String compareStr;

    @ApiModelProperty("比上年的字符串  增长（下降）xxx % ")
    private String compareStrRatio;

    @ApiModelProperty("(手动输入)原因")
    private String reason;

    @ApiModelProperty("国内公务接待批次")
    private String inBatch = "0";

    @ApiModelProperty("国内公务接待人次(数量)")
    private String inPersonNum = "0";

    @ApiModelProperty("国（境）外公务接待批次")
    private String outBatch = "0";

    @ApiModelProperty("国（境）外公务接待人次(数量)")
    private String outPersonNum = "0";

    /*@ApiModelProperty("支出决算")
    private String finalValue;*/

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("(输入)公务接待费主要用于")
    private String useFor;


}
