package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 * 无支出也需注明“本部门无机关运行经费支出”（包括事业单位）。
 */
//@ApiModel("3.7.3 国有资产占用情况说明 其他重要事项情况说明")
@Data
public class FinalP3T7ItemAssetVo {

    @ApiModelProperty("部门共有车辆")
    private String total = "0";

    @ApiModelProperty("部门车辆字符串 分隔号(、)")
    private String carStr;

    @ApiModelProperty("(输入)部门其他车辆字符串")
    private String carOtherStr;

    @ApiModelProperty("截取获得的部门其他车辆数量字符串")
    private String carOtherNum;

    @ApiModelProperty("部门设备字符串 分隔号(;)")
    private String deviceStr;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    //单位价值50万元以上通用设备X台（套），单价100万元以上专用设备X台（套）

    @ApiModelProperty("台数/套 单位价值50万元以上通用设备X台（套）")
    private String deviceStr50;

    @ApiModelProperty("台数/套 单价100万元以上专用设备X台（套）")
    private String deviceStr100;

}
