package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.business.document.y23.finalData.pojo.ChangeValueItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 * 无支出也需注明“本部门无机关运行经费支出”（包括事业单位）。
 */
//@ApiModel("3.7.1 机关运行经费支出情况说明 其他重要事项情况说明")
@Data
public class FinalP3T7ItemDeptOperateVo {

    @ApiModelProperty("总支出")
    private String total;

    @ApiModelProperty("(现在是取, 输入 年初没有)年初预算-机关运行经费支出")
    private String begin;

    @ApiModelProperty("(输入)年初预算的增长(降低)比率-机关运行经费支出")
    private String beginRatio;

    @ApiModelProperty("预算的变化(金额,比率)-同比")
    private ChangeValueItemVo changeItemVo;

    @Deprecated
    @ApiModelProperty("(废弃)(手动)对比年初预算数 增加（减少）  万元，增长（降低） xx (比率) -机关运行经费支出 ")
    private String compareBeginStr;

    @ApiModelProperty("(输入)对比年初预算数 金额变化 增加（减少）  万元 -机关运行经费支出 ")
    private String compareBeginAmountStr = "";

    @ApiModelProperty("(输入)对比年初预算数 比率变化  增长（降低） xx (比率) -机关运行经费支出 ")
    private String compareBeginRatioStr = "";

    @ApiModelProperty("(输入)对比年初的原因")
    private String beginReason;

    @ApiModelProperty("上年-机关运行经费支出")
    private String lastYear;

    @ApiModelProperty("上年-机关运行经费支出的增长(降低)比率")
    private String lastYearRatio;

    @ApiModelProperty("上年 对比年初预算数 增加（减少）  万元，增长（降低） xx (比率) ")
    private String compareLastYearStr;

    @ApiModelProperty("(输入)对比上年的原因")
    private String lastYearReason;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("是否填报: 1-是,0-否, 默认1")
    private Integer fillFlag;

}
