package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 * 无支出也需注明“本部门无机关运行经费支出”（包括事业单位）。
 */
//@ApiModel("3.7.2 政府采购支出情况说明 其他重要事项情况说明")
@Data
public class FinalP3T7ItemGovBuyVo {

    @ApiModelProperty("政府采购支出总额")
    private String total = "0";

    @ApiModelProperty("货物支出")
    private String product = "0";

    @ApiModelProperty("工程支出")
    private String project = "0";

    @ApiModelProperty("服务支出")
    private String service = "0";

    @ApiModelProperty("授予中小企业合同金额")
    private String medium = "0";

    @ApiModelProperty("占政府采购支出总额的比率, 中小企业合同金额")
    private String mediumRatio;

    @ApiModelProperty("授予小微企业合同金额")
    private String small = "0";

    @ApiModelProperty("占政府采购支出总额的比率, 小微企业合同金额")
    private String smallRatio;

    @ApiModelProperty("货物采购授予中小企业合同金额占货物支出金额 比率")
    private String productRatio;

    @ApiModelProperty("工程采购授予中小企业合同金额占工程支出金额 比率")
    private String projectRatio;

    @ApiModelProperty("服务采购授予中小企业合同金额占服务支出金额 比率")
    private String serviceRatio;

    @ApiModelProperty("项的说明")
    private String name;

    @ApiModelProperty("项的序号")
    private String rowNo;

    @ApiModelProperty("是否填报: 1-是,0-否, 默认1")
    private Integer fillFlag;

}
