package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

//预算绩效管理工作开展情况 p3t8
@Data
public class FinalP3T8Vo {

    @ApiModelProperty("1.(输入)预算绩效管理工作开展情况")
    private String performance;

    @ApiModelProperty("1.json数据格式(输入)预算绩效管理工作开展情况")
    private String performanceJson;

    @ApiModelProperty("1.(输入)预算绩效管理工作开展情况 2段")
    private String performance2 = "";

    @ApiModelProperty("1.(输入)预算绩效管理工作开展情况 3段")
    private String performance3 = "";

    @ApiModelProperty("2.(输入)部门决算中项目绩效自评结果")
    private String assessment;

    @ApiModelProperty("2.json数据格式(输入)部门决算中项目绩效自评结果")
    private String assessmentJson;

    @ApiModelProperty("2. 2(输入)部门决算中项目绩效自评结果")
    private String assessment2;

    @ApiModelProperty("2.2json数据格式(输入)部门决算中项目绩效自评结果")
    private String assessment2Json;

    @ApiModelProperty("2.102 所有项目均开展了绩效自评 第一段的第二小段")
    private String assessment102;

    @ApiModelProperty("2.102 所有项目均开展了绩效自评 第一段的第三小段")
    private String assessment103;

    @ApiModelProperty("3.部门绩效评价结果")
    private String p3DeptAssessment;

    @ApiModelProperty("3.json数据格式(输入)3.部门绩效评价结果")
    private String p3DeptAssessmentJson;

    @ApiModelProperty("4.财政绩效评价结果")
    private String p4FinancialAssessment;

    @ApiModelProperty("4.json数据格式(输入).财政绩效评价结果")
    private String p4FinancialAssessmentJson;

    @ApiModelProperty("是否填报自评 1-不填报,0-填报, 默认0; (判断为null 或者为0显示填报)")
    private Integer noFillFlag;

    @ApiModelProperty("p1段是否填报: 1-是,0-否, 默认1")
    private Integer p1Flag;

    @ApiModelProperty("p2段是否填报: 1-是,0-否,默认1")
    private Integer p2Flag;

    @ApiModelProperty("p3段是否填报: 1-是,0-否, 默认1")
    private Integer p3Flag;

    @ApiModelProperty("p4段是否填报: 1-是,0-否,默认1")
    private Integer p4Flag;

    @ApiModelProperty("p2段 重点项目 是否填报: 1-是,0-否,默认1")
    private Integer p2ProjectFlag;

    @ApiModelProperty("2.部门决算中项目绩效自评结果汇总表（如有）")
    private List<FinalP3T8Bs23P2ItemVo> bsP2List;

    @ApiModelProperty("2.部门决算中项目绩效自评结果（凭祥, 项目的）")
    private List<FinalP3T8p2ProjectItemVo> p2ProjectList;

}

