package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("Z01_1 财政拨款收入支出决算总表(财决01-1表) (第二部分的表四) 2023年")
@Data
public class FinalZ01S1Vo {

    @ApiModelProperty("项目的list列表")
    private List<FinalZ01S1ItemVo> list;

    @ApiModelProperty("收入-本年收入合计")
    private String incomeYearTotal;

    @ApiModelProperty("支出-本年支出合计")
    private String expenditureYearSubtotal;

    /*@ApiModelProperty("收入-使用非财政拨款结余")
    private String incomeRest;

    @ApiModelProperty("支出-结余分配")
    private String expenditureRest;

    @ApiModelProperty("收入-年初结转和结余")
    private String incomeYearBegin;

    @ApiModelProperty("支出-年末结转与结余")
    private String expenditureYearEnd;*/

    @ApiModelProperty("收入-总计")
    private String incomeTotal;

    @ApiModelProperty("支出-总计")
    private String expenditureTotal;

}
