package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 */
@ApiModel("Z01 收入支出决算总表(财决01表) (第二部分的表一  2023年)")
@Data
public class FinalZ01Vo {

    @ApiModelProperty("收入-支出的list列表")
    private List<FinalZ01ItemVo> list;

    @ApiModelProperty("收入-本年收入合计")
    private String incomeYearTotal;

    @ApiModelProperty("支出-本年支出合计")
    private String expenditureYearTotal;

    @ApiModelProperty("收入-使用非财政拨款结余")
    private String incomeRest;

    @ApiModelProperty("支出-(使用非财政拨款)结余分配")
    private String expenditureRest;

    @ApiModelProperty("收入-年初结转和结余")
    private String incomeYearBegin;

    @ApiModelProperty("支出-年末结转与结余")
    private String expenditureYearEnd;

    @ApiModelProperty("收入-总计")
    private String incomeTotal;

    @ApiModelProperty("支出-总计")
    private String expenditureTotal;

}
