package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Z04 支出决算表(财决04表) (第二部分的表三)2023年 的 list的 item
 */
@Data
public class FinalZ04ItemVo {

    @ApiModelProperty("分类科目代码")
    private String code;

    @ApiModelProperty("科目名称")
    private String name;

    @ApiModelProperty("本年支出合计")
    private String total;

    @ApiModelProperty("基本支出")
    private String base;

    @ApiModelProperty("项目支出")
    private String project ;

    @ApiModelProperty("上缴上级支出")
    private String parent;

    @ApiModelProperty("经营支出")
    private String operation;

    @ApiModelProperty("对附属单位补助支出")
    private String subsidiary;

}
