package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("Z04 支出决算表(财决04表) (第二部分的表三) 2023年")
@Data
public class FinalZ04Vo {

    @ApiModelProperty("科目的list列表")
    private List<FinalZ04ItemVo> list;

    @ApiModelProperty("本年支出合计")
    private String total;

    @ApiModelProperty("基本支出")
    private String base;

    @ApiModelProperty("项目支出")
    private String project ;

    @ApiModelProperty("上缴上级支出")
    private String parent;

    @ApiModelProperty("经营支出")
    private String operation;

    @ApiModelProperty("对附属单位补助支出")
    private String subsidiary;

}
