package com.yunyan.business.document.y22.pojo.finalExcelY22;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Z11 国有资本经营预算财政拨款收入支出决算表(财决z11表) (第二部分的表八) 2023年 的 list的 item
 */
@Data
public class FinalZ11ItemVo {

    @ApiModelProperty("分类科目代码")
    private String code;

    @ApiModelProperty("科目名称")
    private String name;

    @ApiModelProperty("年初结转和结余")
    private String yearBeginTotal;

    @ApiModelProperty("本年收入")
    private String incomeYear;

    @ApiModelProperty("本年支出")
    private String expenditureYear;

    @ApiModelProperty("年末结转和结余-合计")
    private String yearEndTotal;

    @ApiModelProperty("年末结转和结余-结转")
    private String yearEndCarryForward;

    @ApiModelProperty("年末结转和结余-结余")
    private String yearEndRest;

}
