package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 预算表的 第3部分的 情况说明
 */
@ApiModel("预算表的 第3部分的 情况说明")
@Data
public class BudgetExplainP3Vo {

    @ApiModelProperty("p3p1 一、部门预算收支总体情况说明 部门收支预算总体预算情况说明")
    private BudgetP3p1Vo p3p1Vo;

    @ApiModelProperty("p3p2 二、部门收入总体预算情况说明（按表一中数据填）")
    private BudgetP3p2Vo p3p2Vo;

    @ApiModelProperty("p3p3 三、部门支出总体预算情况说明（按表一、表三数据填）")
    private BudgetP3p3Vo p3p3Vo;

    @ApiModelProperty("p3p4 四、财政拨款收支预算总体情况说明（按表四数据填）")
    private BudgetP3p4Vo p3p4Vo;

    @ApiModelProperty("p3p5 一般公共预算支出情况说明")
    private BudgetP3p5Vo p3p5Vo;

    @ApiModelProperty("p3p6 六、一般公共预算基本支出情况说明")
    private BudgetP3p6Vo p3p6Vo;

    @ApiModelProperty("p3p7 七、一般公共预算“三公”经费情况说明")
    private BudgetP3p7Vo p3p7Vo;

    @ApiModelProperty("p3p8 八、政府性基金预算支出情况表")
    private BudgetP3p8Vo p3p8Vo;

    @ApiModelProperty("p3p9 九、国有资本经营预算支出情况表")
    private BudgetP3p8Vo p3p9Vo;

    @ApiModelProperty("p3p10 10. 十、其他重要事项说明")
    private BudgetP3p10Vo p3p10Vo;


}
