package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  （一）机关运行经费安排情况
 */
@Data
public class BudgetP3p10p1Vo {

    @ApiModelProperty(value = "单位属性: 1-行政单位(含参照公务员法管理的事业单位), 2-事业单位, 默认1")
    private Integer deptAttr;

    @ApiModelProperty(value = "下级单位属性是否都包含行政单位和事业单位: 1-是, 0-否, 默认0")
    private Integer deptAttrChild;

    @ApiModelProperty("行政机关")
    private BudgetP3p10p1ItemVo operationItemVo;

    @ApiModelProperty("事业单位")
    private BudgetP3p10p1ItemVo operationItemVo2;

    @ApiModelProperty("预算的第4模板,凭祥")
    private BudgetP3p10p1ItemVo operationItemVoTp4;

}
