package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  七、一般公共预算“三公”经费安排情况说明 项
 */
@Data
public class BudgetP3p10p2Vo {

    @ApiModelProperty("政府采购安排-合计")
    private String total;

    @ApiModelProperty("政府采购安排-上一年金额合计")
    private String totalLast;

    @ApiModelProperty("采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo;

    @ApiModelProperty("集中采购安排-合计")
    private String total2;

    @ApiModelProperty("集中采购安排-上一年金额合计")
    private String totalLast2;

    @ApiModelProperty("集中采购安排 - 占总金额的比率")
    private String ratio2;

    @ApiModelProperty("集中采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo2;

    @ApiModelProperty("分散采购安排-合计")
    private String total3;

    @ApiModelProperty("分散采购安排-上一年金额合计")
    private String totalLast3;

    @ApiModelProperty("集中采购安排 - 占总金额的比率")
    private String ratio3;

    @ApiModelProperty("分散采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo3;

    @ApiModelProperty("货物采购-合计")
    private String totalProduct;

    @ApiModelProperty("项目采购-合计")
    private String totalProject;

    @ApiModelProperty("服务采购-合计")
    private String totalService;

    @ApiModelProperty("对采购情况进行必要说明")
    private String info;

    @ApiModelProperty("一般公共预算拨款-合计")
    private String totalPublic;

    @ApiModelProperty("政府性基金拨款-合计")
    private String totalFund;

    @ApiModelProperty("(输入)增减原因")
    private String reason;

}
