package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 *  六、一般公共预算基本支出情况说明 资金性质
 */
@Data
public class BudgetP3p10p3T3Vo {

    @ApiModelProperty("账面价值-总计")
    private String total;

    @ApiModelProperty("固定账面价值-总计")
    private String total1;

    @ApiModelProperty("固定占比总资产")
    private String ratio1;

    @ApiModelProperty("无形资产账面价值-总计")
    private String total2;

    @ApiModelProperty("无形资产占比总资产")
    private String ratio2;


    @ApiModelProperty("共有车辆-总计")
    private String num;

    @ApiModelProperty("一般公务用车-数量")
    private String business;

    @ApiModelProperty("执法执勤用车-数量")
    private String duty;

    @ApiModelProperty("特种用车-数量")
    private String special;

    @ApiModelProperty("其他用车-数量")
    private String other;

    @ApiModelProperty("价值200万元以上大型设备-数量")
    private String w200;

    /**
     * 旧数据为空时, 返回 ""
     * @return
     */
    public String getW200() {
        if(StringUtils.isBlank(w200)) {
            return "";
        }

        return w200;
    }
}
