package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  （四）重点项目预算绩效目标等情况说明 :  重点项目一：项目名称XX，预算资金XX万元，2024年度绩效目标为XXX，绩效指标情况详见报表11-1（从预算管理一体化系统项目年度绩效查询勾选该项目后导出报表
 */
@Data
public class BudgetP3p10p4ItemBt52024Vo {

    @ApiModelProperty("项目序列")
    private String no;

    @ApiModelProperty("项目名")
    private String projectName;

    @ApiModelProperty("预算资金-总额")
    private String total;

    @ApiModelProperty("绩效目标")
    private String goal;

    //下面为新加的 2024天等预算

    @ApiModelProperty("数量指标1")
        private String num1;

    @ApiModelProperty("数量指标说明")
    private String desc1;

    @ApiModelProperty("质量指标2")
    private String num2;

    @ApiModelProperty("质量指标说明2")
    private String desc2;

    @ApiModelProperty("时效指标3")
    private String num3;

    @ApiModelProperty("时效指标说明3")
    private String desc3;

    @ApiModelProperty("成本指标4")
    private String num4;

    @ApiModelProperty("成本指标说明4")
    private String desc4;

    @ApiModelProperty("自定义1指标5")
    private String num5;

    @ApiModelProperty("自定义1指标名5")
    private String name5;

    @ApiModelProperty("自定义1指标说明5")
    private String desc5;

    @ApiModelProperty("满意度指标6")
    private String num6;

    @ApiModelProperty("满意度指标说明6")
    private String desc6;

}
