package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  （四）重点项目预算绩效目标等情况说明 :  重点项目一：项目名称XX，预算资金XX万元，2024年度绩效目标为XXX，绩效指标情况详见报表11-1（从预算管理一体化系统项目年度绩效查询勾选该项目后导出报表
 */
@Data
public class BudgetP3p10p4ItemVo {

    @ApiModelProperty("项目序列")
    private String no;

    @ApiModelProperty("项目名")
    private String projectName;

    @ApiModelProperty("预算资金-总额")
    private String total;

    @ApiModelProperty("绩效目标")
    private String goal;

}
