package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  （四）重点项目预算绩效目标等情况说明
 */
@Data
public class BudgetP3p10p4Tp4Vo {

    @ApiModelProperty("特定目标项目总数")
    private String specialNum;

    @ApiModelProperty("通用项目总数")
    private String generalNum;

    @ApiModelProperty("一般公共预算拨款-总额")
    private String publicTotal;

    @ApiModelProperty("政府性基金预算拨款-总额")
    private String govTotal;

    @ApiModelProperty("国有资本经营预算-总额")
    private String enterpriseTotal;

    @ApiModelProperty("单位资金-总额")
    private String deptTotal;

    @ApiModelProperty("上年结余收入-总额")
    private String lastTotal;

    @ApiModelProperty("自定义说明")
    private String info;

}
