package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 一、部门预算收支总体情况说明  部门收支预算总体预算情况说明
 */
@Data
public class BudgetP3p1Vo {

    @ApiModelProperty("收入预算")
    private String totalIn;

    @ApiModelProperty("上一年收支预算")
    private String totalLastIn;

    @ApiModelProperty("收入预算的变化金额文字-同比")
    private String changeAmountWordIn;

    @ApiModelProperty("收入预算的变化金额-同比")
    private String changeAmountIn;

    @ApiModelProperty("收入预算的变化比率文字-同比")
    private String changeRatioWordIn;

    @ApiModelProperty("收入预算的变化比率-同比")
    private String changeRatioIn;

    @ApiModelProperty("变化原因-收入预算")
    private String reasonIn;

    @ApiModelProperty("支出预算")
    private String totalExpenditure;

    @ApiModelProperty("上一年支出预算")
    private String totalLastExpenditure;

    @ApiModelProperty("支出预算的变化金额-同比")
    private String changeAmountExpenditure;

    @ApiModelProperty("支出预算的变化文字-同比")
    private String changeAmountWordExpenditure;

    @ApiModelProperty("支出预算的变化比率-同比")
    private String changeRatioExpenditure;

    @ApiModelProperty("支出预算的变化比率文字-同比")
    private String changeRatioWordExpenditure;

    @ApiModelProperty("变化原因-支出预算")
    private String reasonExpenditure;

    @ApiModelProperty("收入项")
    private List<BudgetP3p1ItemVo> inList;

    @ApiModelProperty("支出项")
    private List<BudgetP3p1ItemVo> expenditureList;

    /*@ApiModelProperty("同比-收支总预算")
    private String compareLastAmount;

    @ApiModelProperty("同比-收支总预算字符串")
    private String compareStr;*/

    @ApiModelProperty("本年收入预算")
    private String totalYear;

    /*@ApiModelProperty("同比本年收入预算-字符串")
    private String compareStrYear;*/

    /*@ApiModelProperty("收入包括-项目名")
    private String incomeNameStr;

    @ApiModelProperty("支出包括-项目名")
    private String expenditureNameStr;*/

    /*@Deprecated
    @ApiModelProperty("第二段的收支预算总体- 增加(减少) (可能不要)")
    private String totalChangeStr;*/

    /*@ApiModelProperty("收支预算总体增减情况原因说明 （第二段）")
    private String reason;*/

    @ApiModelProperty("上年结转结余")
    private String lastYearEnd;

}
