package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 部门收支预算总体预算情况说明
 */
@Data
public class BudgetP3p2ItemVo {

    @ApiModelProperty("项名")
    private String name;

    @ApiModelProperty("总金额")
    private String total;

    @ApiModelProperty("总金额")
    private String totalLast;

    @ApiModelProperty("占总金额的比率")
    private String ratio;

    @ApiModelProperty("收入预算的变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("收入预算的变化文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("收入预算的变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("收入预算的变化比率文字-同比")
    private String changeRatioWord;



    //以下是旧的


    /*@ApiModelProperty("同比-字符串")
    private String compareStr;*/

    /*@ApiModelProperty("项的信息")
    private String info;*/

    @ApiModelProperty("增减原因")
    private String reason;

    @ApiModelProperty("行序")
    private String rowNo;

    /*@ApiModelProperty("其中， 子级项")
    private BudgetP3p2ItemSubVo subVo;*/

}
