package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 二、部门收入总体情况说明
 */
@Data
public class BudgetP3p2Vo {

    @ApiModelProperty("收入总预算")
    private String total;

    @ApiModelProperty("上一年收入预算")
    private String totalLast;

    @ApiModelProperty("收入预算的变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("收入预算的变化文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("收入预算的变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("收入预算的变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("变化原因-收入预算")
    private String reason;

    @ApiModelProperty("项-预算情况说明")
    private List<BudgetP3p2ItemVo> list;


    /*@ApiModelProperty("同比-收支总预算字符串")
    private String compareStr;*/

    @ApiModelProperty("本年收入预算")
    private String totalYear;

    /*@ApiModelProperty("同比本年-字符串")
    private String compareStrYear;*/

    @ApiModelProperty("上年结转结余")
    private String lastYearEnd;



}
