package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 收入/支出 类型  四、财政拨款收支预算总体情况说明（按表四数据填）
 */
@Data
public class BudgetP3p4SubItemVo {

    @ApiModelProperty("总金额")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("变化原因-收入预算")
    private String reason;

    @ApiModelProperty("项的list")
    private List<BudgetP3p4ItemVo> list;

    /*@Deprecated
    @ApiModelProperty("包括-项目")
    private String incomeStr;*/

}
