package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  六、一般公共预算基本支出情况说明
 */
@Data
public class BudgetP3p6Vo {

    @ApiModelProperty("合计")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("人员经费")
    private BudgetP3p6SubItemVo personVo;

    @ApiModelProperty("公用经费")
    private BudgetP3p6SubItemVo publicVo;


    @ApiModelProperty("人员经费")
    private String person;

    @ApiModelProperty("公用经费")
    private String publicTotal;

    @ApiModelProperty("科目项具体")
    private List<BudgetT6ItemVo> categoryList;

    /*@ApiModelProperty("人员经费-项目名")
    private String personStr;

    @ApiModelProperty("公用经费-项目名")
    private String publicStr;*/

}
