package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * p2p8 决算时, 读取 预算的数据.  所属单位 政府性基金支出情况说明
 */
@Data
public class BudgetP3p8DeptVo {

    @ApiModelProperty("部门（单位）名称")
    private String deptName;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("总计-本年一般公共预算支出")
    private String total;

    @ApiModelProperty("科目项具体")
    private List<BudgetP3p8DeptItemVo> list;

}
