package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 政府性基金预算支出情况表 2023年 的 list的 item
 */
@Data
public class BudgetP3p8ItemVo {

    @ApiModelProperty("分类科目代码")
    private String code;

    @ApiModelProperty("科目名称")
    private String name;

    @ApiModelProperty("项-功能分类科目名称")
    private String name3;

    @ApiModelProperty("项-科目编码")
    private String code3;

    @ApiModelProperty("大类-科目名称")
    private String name1;

    @ApiModelProperty("大类-科目编码")
    private String code1;

    @ApiModelProperty("款-科目名称")
    private String name2;

    @ApiModelProperty("款-科目编码")
    private String code2;

    @ApiModelProperty("科目名称 类款项的显示")
    private String nameShow;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("部门（单位）名称 (功能分类科目名称)")
    private String deptName;

    @ApiModelProperty("总计")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("(输入)增减原因")
    private String reason;

    @ApiModelProperty("(输入)主要用于(用途)")
    private String usage;

}
