package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel("政府性基金预算支出情况表 2023年")
@Data
public class BudgetP3p8Vo {

    @ApiModelProperty("合计")
    private String total;

    @ApiModelProperty("上一年金额")
    private String totalLast;

    @ApiModelProperty("变化金额-同比")
    private String changeAmount;

    @ApiModelProperty("变化金额文字-同比")
    private String changeAmountWord;

    @ApiModelProperty("变化比率-同比")
    private String changeRatio;

    @ApiModelProperty("变化比率文字-同比")
    private String changeRatioWord;

    @ApiModelProperty("(输入)增减原因")
    private String reason;

    @ApiModelProperty("(输入)主要用于(用途)")
    private String usage;



    @ApiModelProperty("项目的list列表")
    private List<BudgetP3p8ItemVo> list = new ArrayList<>();

    @ApiModelProperty("决算时, 读取 预算的数据. 所有所属单位表8的list")
    private List<BudgetP3p8DeptVo> deptList = new ArrayList<>();

}
