package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * t6 一般公共预算基本支出情况表 类的编码的取值
 */
@Data
public class BudgetT6DeptVo {

    @ApiModelProperty("部门（单位）名称")
    private String deptName;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("总计")
    private String total;

    @ApiModelProperty("科目项具体")
    private List<BudgetT6ItemVo> list;

}
