package com.yunyan.business.document.y23.budget.pojo.budgetY23;

import com.yunyan.business.document.y22.pojo.finalExcelY22.*;
import com.yunyan.business.document.y23.budget.pojo.budgetY23.table.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 2023年 预算表的 表格 第2部分的
 */
@ApiModel("2023年预算的表格数据")
@Data
public class BudgetTableVo {

    @ApiModelProperty("p2p1 一、部门预算收支总体情况说明 部门收支预算总体预算情况说明")
    private BudgetP2p1Vo p2p1Vo;

    @ApiModelProperty("p2p2 二、部门收入总体预算情况说明（按表一中数据填）")
    private BudgetP2p2Vo p2p2Vo;

    @ApiModelProperty("p2p2 三、部门支出总体预算情况说明（按表一、表三数据填）")
    private BudgetP2p3Vo p2p3Vo;

    @ApiModelProperty("p2p4 四、财政拨款收支预算总体情况说明（按表四数据填）")
    private BudgetP2p4Vo p2p4Vo;

    @ApiModelProperty("p2p5 一般公共预算支出情况说明")
    private BudgetP2p5Vo p2p5Vo;

    @ApiModelProperty("p2p6 六、一般公共预算基本支出情况说明")
    private BudgetP2p6Vo p2p6Vo;

    @ApiModelProperty("p2p7 七、一般公共预算“三公”经费情况说明")
    private BudgetP2p7Vo p2p7Vo;

    @ApiModelProperty("p2p8 八、政府性基金预算支出情况表")
    private BudgetP2p8Vo p2p8Vo;

    @ApiModelProperty("p2p9 九、国有资本经营预算支出情况表")
    private BudgetP2p9Vo p2p9Vo;

}
