package com.yunyan.business.document.y23.budget.pojo.budgetY23.purchase;

import com.yunyan.business.document.y23.budget.pojo.budgetY23.BudgetP3ChangeItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  七、一般公共预算“三公”经费安排情况说明 项
 */
@Data
public class BudgetP3p10p2ItemVo {

    @ApiModelProperty("编制单位/部门名")
    private String deptName;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty(value = "部门id/单位")
    private Long deptId;

    @ApiModelProperty("年度")
    private String year;

    @ApiModelProperty("政府采购安排-合计")
    private String total;

    @ApiModelProperty("政府采购安排-上一年金额合计")
    private String totalLast;

    @ApiModelProperty("采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo;

    @ApiModelProperty("集中采购安排-合计")
    private String total2;

    @ApiModelProperty("集中采购安排-上一年金额合计")
    private String totalLast2;

    @ApiModelProperty("集中采购安排 - 占总金额的比率")
    private String ratio2;

    @ApiModelProperty("集中采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo2;

    @ApiModelProperty("分散采购安排-合计")
    private String total3;

    @ApiModelProperty("分散采购安排-上一年金额合计")
    private String totalLast3;

    @ApiModelProperty("集中采购安排 - 占总金额的比率")
    private String ratio3;

    @ApiModelProperty("分散采购总金额-变化(金额,比率)-同比")
    private BudgetP3ChangeItemVo changeTotalVo3;

    @ApiModelProperty("货物采购-合计")
    private String totalProduct;

    @ApiModelProperty("项目采购-合计")
    private String totalProject;

    @ApiModelProperty("服务采购-合计")
    private String totalService;

    @ApiModelProperty("一般公共预算拨款-合计")
    private String totalPublic;

    @ApiModelProperty("政府性基金拨款-合计")
    private String totalFund;

}
