package com.yunyan.business.document.y23.budget.pojo.budgetY23.sheetData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  （四）重点项目预算绩效目标等情况说明 :  重点项目一：项目名称XX，预算资金XX万元，2024年度绩效目标为XXX，绩效指标情况详见报表11-1（从预算管理一体化系统项目年度绩效查询勾选该项目后导出报表
 */
@Data
public class BudgetP3p10p4NoDeptVo {

    @ApiModelProperty("地区")
    private String area;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("地区的单位的list")
    private List<BudgetP3p10p4NoDeptItemVo> list;

}
