package com.yunyan.business.document.y23.budget.pojo.budgetY23.table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * p2p3 五、一般公共预算支出情况说明 项
 *
 * p2p3 没有 结转下年支出 去掉
 */
@Data
public class BudgetP2p3ItemVo {

    @ApiModelProperty("显示用的功能分类科目名称")
    private String nameShow;

    @ApiModelProperty("大类-科目名称")
    private String name1;

    @ApiModelProperty("大类-科目编码")
    private String code1;

    @ApiModelProperty("款-科目名称")
    private String name2;

    @ApiModelProperty("款-科目编码")
    private String code2;

    @ApiModelProperty("项-功能分类科目名称")
    private String name3;

    @ApiModelProperty("项-科目编码")
    private String code3;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("部门（单位）名称/项名")
    private String itemName;

    @ApiModelProperty("总计")
    private String total;

    @ApiModelProperty("总计-基本")
    private String baseTotal;

    @ApiModelProperty("总计-项目")
    private String projectTotal;

    @ApiModelProperty("事业单位经营支出")
    private String operation;

    @ApiModelProperty("上缴上级支出")
    private String parent;

    @ApiModelProperty("对附属单位补助支出")
    private String subsidiary;

}
