package com.yunyan.business.document.y23.budget.pojo.budgetY23.table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * p2p5 五、一般公共预算支出情况表 项
 */
@Data
public class BudgetP2p5ItemVo {

    @ApiModelProperty("显示用的功能分类科目名称")
    private String nameShow;

    @ApiModelProperty("项-功能分类科目名称")
    private String name3;

    @ApiModelProperty("项-科目编码")
    private String code3;

    @ApiModelProperty("大类-科目名称")
    private String name1;

    @ApiModelProperty("大类-科目编码")
    private String code1;

    @ApiModelProperty("款-科目名称")
    private String name2;

    @ApiModelProperty("款-科目编码")
    private String code2;

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("部门（单位）名称/项名")
    private String itemName;

    @ApiModelProperty("总计")
    private String total;

    @ApiModelProperty("基本-小计")
    private String baseTotal;

    @ApiModelProperty("人员经费-基本")
    private String personTotal;

    @ApiModelProperty("人员经费-公共")
    private String publicTotal;

    @ApiModelProperty("总计-项目")
    private String projectTotal;

}
