package com.yunyan.business.document.y23.budget.pojo.budgetY23.table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * p2p5 五、一般公共预算支出情况表 项
 */
@Data
public class BudgetP2p7ItemVo {

    @ApiModelProperty("部门（单位）代码")
    private String deptCode;

    @ApiModelProperty("部门（单位）名称")
    private String deptName;

    @ApiModelProperty("资金性质")
    private String itemName;

    @ApiModelProperty("总计")
    private String total1;

    @ApiModelProperty("“三公”经费-合计")
    private String total2;

    @ApiModelProperty("“三公”经费-因公出国（境）经费支出")
    private String abroad3;

    @ApiModelProperty("“三公”经费-公务用车购置及运行费支出")
    private String car4;

    @ApiModelProperty("“三公”经费-公务用车运行维护费支出")
    private String carOperate5;

    @ApiModelProperty("“三公”经费-公务用车购置费支出")
    private String carBuy6;

    @ApiModelProperty("“三公”经费-公务接待费支出")
    private String receptio7;

    @ApiModelProperty("会议费")
    private String meeting8;

    @ApiModelProperty("培训费-小计")
    private String train9;

    @ApiModelProperty("培训费-本级资金安排")
    private String train10;

    @ApiModelProperty("培训费-上级补助资金安排")
    private String train11;

}
