package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.AlertWord;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 敏感词管理Mapper接口
 * 
 * @author yunyan
 * @date 2023-07-27
 */
public interface AlertWordMapper extends BaseMapper<AlertWord>
{

    /**
     * 查询敏感词管理列表
     * 
     * @param alertWord 敏感词管理
     * @return 敏感词管理集合
     */
    public List<AlertWord> selectAlertWordList(AlertWord alertWord);


}
