package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.PurchaseData;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 预算政府采购数据Mapper接口
 * 
 * @author yunyan
 * @date 2024-02-27
 */
public interface PurchaseDataMapper extends BaseMapper<PurchaseData>
{

    /**
     * 查询预算政府采购数据列表
     * 
     * @param purchaseData 预算政府采购数据
     * @return 预算政府采购数据集合
     */
    public List<PurchaseData> selectPurchaseDataList(PurchaseData purchaseData);


}
