package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.ReportExplain;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报告-格数据,情况说明Mapper接口
 *
 * @author yunyan
 * @date 2023-12-15
 */
public interface ReportExplainMapper extends BaseMapper<ReportExplain>
{

    /**
     * 查询报告-格数据,情况说明列表
     *
     * @param reportExplain 报告-格数据,情况说明
     * @return 报告-格数据,情况说明集合
     */
    public List<ReportExplain> selectReportExplainList(ReportExplain reportExplain);

}
