package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.ReportFill;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 报告-填报数据Mapper接口
 * 
 * @author yunyan
 * @date 2023-12-11
 */
public interface ReportFillMapper extends BaseMapper<ReportFill>
{

    /**
     * 查询报告-填报数据列表
     * 
     * @param reportFill 报告-填报数据
     * @return 报告-填报数据集合
     */
    public List<ReportFill> selectReportFillList(ReportFill reportFill);


}
