package com.yunyan.business.mapper;

import java.util.List;
import com.yunyan.business.domain.Term;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 名词管理Mapper接口
 * 
 * @author yunyan
 * @date 2023-07-27
 */
public interface TermMapper extends BaseMapper<Term>
{

    /**
     * 查询名词管理列表
     * 
     * @param term 名词管理
     * @return 名词管理集合
     */
    public List<Term> selectTermList(Term term);


}
