package com.yunyan.business.pojo.admin.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 决算excel 附件的上传 dto
 */
@Data
public class ReportAttachmentDto {

    @Deprecated
    @JsonSerialize(using= ToStringSerializer.class)
    @ApiModelProperty(value = "附件数据ID主键")
    private Long id;

    @JsonSerialize(using= ToStringSerializer.class)
    @ApiModelProperty(value = "报告ID主键")
    private Long reportId;

    /**
     * 附件的list
     */
    private List<ReportAttachmentItemDto> list;

}
