package com.yunyan.business.pojo.admin.dto;

import com.yunyan.business.document.y22.pojo.finalExcelY22.FinalP4T1TermVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 2023年 word表的
 */
@ApiModel("名词解释的list列表")
@Data
public class TermEditDto {

    @NotNull(message = "ID必填")
    @ApiModelProperty(value = "ID主键", required = true)
    private Long id;

    @ApiModelProperty("名词解释的list列表")
    private List<FinalP4T1TermVo> termList;

}
