package com.yunyan.business.pojo.admin.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
public class AlertWordCheckContentVo {

    @ApiModelProperty("检测的状态: 1-是合规，0-不合规")
    private Integer status;

    @ApiModelProperty("检测的结果说明")
    private String msg;

    @ApiModelProperty("不合规的检测词")
    private List<String> noValidList;

    @ApiModelProperty(value = "审核驳回的原因(非必填， 驳回时填写)")
    private String auditRemark;

}
