package com.yunyan.business.pojo.admin.vo.finalVo;

import com.yunyan.business.document.y22.pojo.finalExcelY22.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 2023年 word表的
 */
@ApiModel("2023年决算表的读取")
@Data
public class FinalWordP3ItemDataVo {

    @ApiModelProperty("编制单位/部门名")
    private String deptName;

    @ApiModelProperty("年度")
    private String year;

    @ApiModelProperty("z01财决表 (第二部分的表一)")
    private FinalZ01Vo t1Z01Vo;

    @ApiModelProperty("Z03 收入决算表(财决03表) (第二部分的表二)")
    private FinalZ03Vo t2Z03Vo;

    @ApiModelProperty("Z04 支出决算表(财决04表) (第二部分的表三)")
    private FinalZ04Vo t3Z04Vo;

    @ApiModelProperty("Z01_1 财政拨款收入支出决算总表(财决01-1表) (第二部分的表四)")
    private FinalZ01S1Vo t4Z01S1Vo;

    @ApiModelProperty("Z07 一般公共预算财政拨款收入支出决算表(财决07表) (第二部分的表五)")
    private FinalZ07Vo t5Z07Vo;

    //TODO 表6的数据

    @ApiModelProperty("F03 机构运行信息表(财决附03表) (第二部分的表七)")
    private FinalF03Vo t7F03Vo;

    @ApiModelProperty("Z09 政府性基金预算财政拨款收入支出决算表(财决09表) (第二部分的表八)")
    private FinalZ09Vo t8Z09Vo;

    @ApiModelProperty("Z11 国有资本经营预算财政拨款收入支出决算表(财决11表)(第二部分的表九)")
    private FinalZ11Vo t9Z11Vo;

}
