package com.yunyan.business.service;

import com.yunyan.business.utils.baiduNlp.pojo.BaiduEcnetDto;
import com.yunyan.business.utils.baiduNlp.pojo.list.BaiduEcnetAndIndexListDto;
import com.yunyan.business.utils.baiduNlp.pojo.list.BaiduEcnetAndIndexListVo;
import com.yunyan.common.core.domain.AjaxResultVo;

public interface IBaiduNlpService {

    /**
     * 检测 错词
     * @param dto
     * @return
     */
    AjaxResultVo checkWord(BaiduEcnetDto dto);

    /**
     * 检测 错词, 带索引的list
     * @param dto
     * @return
     */
    AjaxResultVo<BaiduEcnetAndIndexListVo> checkWordList(BaiduEcnetAndIndexListDto dto);

}
