package com.yunyan.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunyan.business.domain.FinalData;
import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 报告数据Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface IBudgetDataUpdateDataService extends IService<FinalData>
{


    void budgetDataReportInfoUpdate1(String area, Integer type, String year);

    /**
     * 更新 p3p10 区域的属性
     * @param area
     * @param type
     * @param year
     */
    AjaxResultVo budgetP10P1DeptAttrupdate(String area, Integer type, String year);

    /**
     * 更新 p3p10 区域的属性 去年
     * @param area
     * @param type
     * @param year
     */
    AjaxResultVo budgetP10P1DeptAttrupdateLast(String area, Integer type, String year, String id);

    /**
     * 更新  p8, p9 的
     * @param area
     * @param type
     * @param year
     * @param id
     * @return
     */
    AjaxResultVo budgetP3p7ItemupdateLast(String area, Integer type, String year, String id);

    /**
     * 更新 p3p10p2 2个字段值
     * @param area
     * @param type
     * @param year
     * @param id
     * @return
     */
    AjaxResultVo budgetP10P2TotalFundUpdateLast(String area, Integer type, String year, String id);

}
