package com.yunyan.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunyan.business.pojo.admin.dto.StatisticsDto;
import com.yunyan.business.pojo.admin.vo.StatisticsVo;

import java.util.List;

/**
 * 数据统计Service接口
 *
 * @author yunyan
 * @date 2023-08-16
 */
public interface IStatisticsService extends IService<StatisticsVo> {
    /**
     * 数据统计Service
     * @param statisticsDto 入参实体类
     * @return  返回查询数据
     */
    List<StatisticsVo> statisticsPage(StatisticsDto statisticsDto);
}
