package com.yunyan.business.utils.baiduNlp.pojo.list;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class BaiduEcnetAndIndexDto {

    /**
     * 检测的文本
     */
    @NotBlank(message = "检测的文本不能为空")
    @ApiModelProperty("纠错文本，输入限制550个汉字")
    private String text = "";

    /**
     * 检测的文本
     */
    @NotBlank(message = "检测的文本索引不能为空")
    @ApiModelProperty("检测的文本索引")
    private String index = "";

}
