package com.yunyan.common.core.domain.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yunyan.common.annotation.Excel;
import com.yunyan.common.annotation.Excel.ColumnType;
import com.yunyan.common.annotation.Excel.Type;
import com.yunyan.common.annotation.Excels;
import com.yunyan.common.core.domain.BaseEntity;
import com.yunyan.common.core.domain.entity.SysDept;
import com.yunyan.common.core.domain.entity.SysRole;
import com.yunyan.common.xss.Xss;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * 用户对象 sys_user
 *
 * @author yunyan
 */
@Data
public class ChangeSysUserNameDto
{
    private static final long serialVersionUID = 1L;

    /** 用户账号 */
    @NotBlank(message = "账户名必填")
    @ApiModelProperty(value = "账户名/登录名称", required = true)
    private String userName;

}
