package com.yunyan.common.core.domain.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yunyan.common.core.domain.BaseEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 业务员的销售区域
 * 
 * @author yunyan
 * @date 2023-04-17
 */
@Data
@TableName(value = "yx_user_area")
public class UserAreaVo
{
    private static final long serialVersionUID = 1L;

    /** 业务员id(销售组/销售员) */
//    private Long userId;

    /** 销售区域id */
    private Long areaId;

    @ApiModelProperty("销售区域名")
    private String areaName;

}
