package com.yunyan.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunyan.common.core.domain.entity.UserDept;

import java.util.List;

/**
 * 用户与部门关联Mapper接口
 * 
 * @author yunyan
 * @date 2023-06-06
 */
public interface UserDeptMapper extends BaseMapper<UserDept>
{

    /**
     * 查询用户与部门关联列表
     * 
     * @param userDept 用户与部门关联
     * @return 用户与部门关联集合
     */
    public List<UserDept> selectUserDeptList(UserDept userDept);


}
